Thumbnails v1
Reference for the Thumbnails v1 endpoints on Roblox.
Base URL: https://thumbnails.roblox.com
Endpoints
Section titled “Endpoints”| Method | Path | Name |
|---|---|---|
GET | /v1/asset-thumbnail-animated | getAssetThumbnailAnimated |
GET | /v1/assets | getAssets |
GET | /v1/assets-thumbnail-3d | getAssetsThumbnail3d |
GET | /v1/badges/icons | getBadgesIcons |
POST | /v1/batch | postBatch |
GET | /v1/bundles/thumbnails | getBundlesThumbnails |
GET | /v1/developer-products/icons | getDeveloperProductsIcons |
GET | /v1/game-passes | getGamePasses |
GET | /v1/games/:universeId/thumbnails | getGamesUniverseidThumbnails |
GET | /v1/games/icons | getGamesIcons |
GET | /v1/games/multiget/thumbnails | getGamesMultigetThumbnails |
GET | /v1/groups/icons | getGroupsIcons |
GET | /v1/places/gameicons | getPlacesGameicons |
GET | /v1/users/avatar | getUsersAvatar |
GET | /v1/users/avatar-3d | getUsersAvatar3d |
GET | /v1/users/avatar-bust | getUsersAvatarBust |
GET | /v1/users/avatar-headshot | getUsersAvatarHeadshot |
GET | /v1/users/outfit-3d | getUsersOutfit3d |
GET | /v1/users/outfits | getUsersOutfits |
getAssetThumbnailAnimated
Section titled “getAssetThumbnailAnimated”GET /v1/asset-thumbnail-animated
Thumbnails asset animated.
Usage
import { fetchApi } from 'rozod';import { getAssetThumbnailAnimated } from 'rozod/lib/endpoints/thumbnailsv1';
const data = await fetchApi(getAssetThumbnailAnimated, { assetId: /* integer */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
assetId | integer | Yes | The asset id. |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
targetId | number | |
state | `“Error" | "Completed" |
imageUrl | string | |
version | string |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 4: The requested Ids are invalid, of an invalid type or missing. |
getAssets
Section titled “getAssets”GET /v1/assets
Thumbnails assets.
Usage
import { fetchApi } from 'rozod';import { getAssets } from 'rozod/lib/endpoints/thumbnailsv1';
const data = await fetchApi(getAssets, { assetIds: /* number */, format: /* enum */, isCircular: /* unknown */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
assetIds | number | Yes | The asset ids. |
format | enum | Yes | The thumbnail format |
isCircular | unknown | Yes | The circle thumbnail output parameter, true or false |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
data | object[] | See below |
data[] item fields:
| Field | Type | Description |
|---|---|---|
targetId | number | |
state | `“Error" | "Completed" |
imageUrl | string | |
version | string |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 1: There are too many requested Ids. 2: The requested image format is invalid. Please see documentation for valid thumbnail format parameter name and values. 3: The requested size is invalid. Please see documentation for valid thumbnail size parameter name and format. 4: The requested Ids are invalid, of an invalid type or missing. 8: The requested return policy is invalid (must be PlaceHolder, AutoGenerated or ForceAutoGenerated). 10: Circular thumbnail requests are not allowed |
| 403 | 9: User not authorized to use AutoGenerated or ForceAutoGenerated return policies. |
getAssetsThumbnail3d
Section titled “getAssetsThumbnail3d”GET /v1/assets-thumbnail-3d
Thumbnails assets.
Usage
import { fetchApi } from 'rozod';import { getAssetsThumbnail3d } from 'rozod/lib/endpoints/thumbnailsv1';
const data = await fetchApi(getAssetsThumbnail3d, { assetId: /* integer */, useGltf: /* boolean? */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
assetId | integer | Yes | The asset id. |
useGltf | boolean? | No | (optional) formatType |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
targetId | number | |
state | `“Error" | "Completed" |
imageUrl | string | |
version | string |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 4: The requested Ids are invalid, of an invalid type or missing. |
getBadgesIcons
Section titled “getBadgesIcons”GET /v1/badges/icons
Thumbnails badge icons.
Usage
import { fetchApi } from 'rozod';import { getBadgesIcons } from 'rozod/lib/endpoints/thumbnailsv1';
const data = await fetchApi(getBadgesIcons, { badgeIds: /* number */, size: /* unknown? = "150x150" */, format: /* enum */, isCircular: /* unknown */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
badgeIds | number | Yes | The badge ids. |
size | unknown? = "150x150" | No | The thumbnail size, formatted widthxheight |
format | enum | Yes | The thumbnail format |
isCircular | unknown | Yes | The circle thumbnail output parameter, true or false |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
data | object[] | See below |
data[] item fields:
| Field | Type | Description |
|---|---|---|
targetId | number | |
state | `“Error" | "Completed" |
imageUrl | string | |
version | string |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 1: There are too many requested Ids. 2: The requested image format is invalid. Please see documentation for valid thumbnail format parameter name and values. 3: The requested size is invalid. Please see documentation for valid thumbnail size parameter name and format. 4: The requested Ids are invalid, of an invalid type or missing. 10: Circular thumbnail requests are not allowed |
postBatch
Section titled “postBatch”POST /v1/batch
Returns a list of thumbnails with varying types and sizes
Usage
import { fetchApi } from 'rozod';import { postBatch } from 'rozod/lib/endpoints/thumbnailsv1';
const data = await fetchApi(postBatch, { body: { /* ... */ }});Request Body
Section titled “Request Body”Array of objects:
| Field | Type | Description |
|---|---|---|
requestId | string | |
targetId | number | |
token | string | |
alias | string | |
type | `“Avatar" | "AvatarHeadShot" |
size | string | |
format | string | |
isCircular | boolean | |
accessContext | string | |
headShape | string |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
data | object[] | See below |
data[] item fields:
| Field | Type | Description |
|---|---|---|
requestId | string | |
errorCode | number | |
errorMessage | string | |
targetId | number | |
state | `“Error" | "Completed" |
imageUrl | string | |
version | string |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 1: There are too many requested Ids. 2: The requested image format is invalid. Please see documentation for valid thumbnail format parameter name and values. 3: The requested size is invalid. Please see documentation for valid thumbnail size parameter name and format. 4: The requested Ids are invalid, of an invalid type or missing. 7: The specified type is not supported by the batch endpoint |
| 403 | 9: User not authorized to use AutoGenerated or ForceAutoGenerated return policies. |
getBundlesThumbnails
Section titled “getBundlesThumbnails”GET /v1/bundles/thumbnails
Get bundle thumbnails for the given CSV of bundle ids
Usage
import { fetchApi } from 'rozod';import { getBundlesThumbnails } from 'rozod/lib/endpoints/thumbnailsv1';
const data = await fetchApi(getBundlesThumbnails, { bundleIds: /* number */, size: /* enum */, format: /* enum */, isCircular: /* unknown */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
bundleIds | number | Yes | CSV for the bundle ids to get bundle thumbnails |
size | enum | Yes | The thumbnail size, formatted widthxheight |
format | enum | Yes | The thumbnail format |
isCircular | unknown | Yes | The circle thumbnail output parameter, true or false |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
data | object[] | See below |
data[] item fields:
| Field | Type | Description |
|---|---|---|
targetId | number | |
state | `“Error" | "Completed" |
imageUrl | string | |
version | string |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 1: There are too many requested Ids. 2: The requested image format is invalid. Please see documentation for valid thumbnail format parameter name and values. 3: The requested size is invalid. Please see documentation for valid thumbnail size parameter name and format. 4: The requested Ids are invalid, of an invalid type or missing. 10: Circular thumbnail requests are not allowed |
getDeveloperProductsIcons
Section titled “getDeveloperProductsIcons”GET /v1/developer-products/icons
Thumbnails developer product icons.
Usage
import { fetchApi } from 'rozod';import { getDeveloperProductsIcons } from 'rozod/lib/endpoints/thumbnailsv1';
const data = await fetchApi(getDeveloperProductsIcons, { developerProductIds: /* number */, size: /* enum */, format: /* enum */, isCircular: /* unknown */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
developerProductIds | number | Yes | The developer product ids. |
size | enum | Yes | The thumbnail size, formatted widthxheight |
format | enum | Yes | The thumbnail format |
isCircular | unknown | Yes | The circle thumbnail output parameter, true or false |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
data | object[] | See below |
data[] item fields:
| Field | Type | Description |
|---|---|---|
targetId | number | |
state | `“Error" | "Completed" |
imageUrl | string | |
version | string |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 1: There are too many requested Ids. 2: The requested image format is invalid. Please see documentation for valid thumbnail format parameter name and values. 3: The requested size is invalid. Please see documentation for valid thumbnail size parameter name and format. 4: The requested Ids are invalid, of an invalid type or missing. 10: Circular thumbnail requests are not allowed |
getGamePasses
Section titled “getGamePasses”GET /v1/game-passes
Thumbnails game pass icons.
Usage
import { fetchApi } from 'rozod';import { getGamePasses } from 'rozod/lib/endpoints/thumbnailsv1';
const data = await fetchApi(getGamePasses, { gamePassIds: /* number */, size: /* unknown? = "150x150" */, format: /* enum */, isCircular: /* unknown */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
gamePassIds | number | Yes | The game pass ids. |
size | unknown? = "150x150" | No | The thumbnail size, formatted widthxheight |
format | enum | Yes | The thumbnail format |
isCircular | unknown | Yes | The circle thumbnail output parameter, true or false |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
data | object[] | See below |
data[] item fields:
| Field | Type | Description |
|---|---|---|
targetId | number | |
state | `“Error" | "Completed" |
imageUrl | string | |
version | string |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 1: There are too many requested Ids. 2: The requested image format is invalid. Please see documentation for valid thumbnail format parameter name and values. 3: The requested size is invalid. Please see documentation for valid thumbnail size parameter name and format. 4: The requested Ids are invalid, of an invalid type or missing. 10: Circular thumbnail requests are not allowed |
getGamesUniverseidThumbnails
Section titled “getGamesUniverseidThumbnails”GET /v1/games/:universeId/thumbnails
Fetches game thumbnail URLs for a list of universes’ thumbnail ids. Ids that do not correspond to a valid thumbnail will be filtered out.
Usage
import { fetchApi } from 'rozod';import { getGamesUniverseidThumbnails } from 'rozod/lib/endpoints/thumbnailsv1';
const data = await fetchApi(getGamesUniverseidThumbnails, { universeId: /* integer */, thumbnailIds: /* number */, size: /* enum */, format: /* enum */, isCircular: /* unknown */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
universeId | integer | Yes | |
thumbnailIds | number | Yes | |
size | enum | Yes | The thumbnail size, formatted widthxheight |
format | enum | Yes | The thumbnail format |
isCircular | unknown | Yes | The circle thumbnail output parameter, true or false |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
data | object[] | See below |
data[] item fields:
| Field | Type | Description |
|---|---|---|
targetId | number | |
state | `“Error" | "Completed" |
imageUrl | string | |
version | string |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 1: There are too many requested Ids. 2: The requested image format is invalid. Please see documentation for valid thumbnail format parameter name and values. 3: The requested size is invalid. Please see documentation for valid thumbnail size parameter name and format. 4: The requested Ids are invalid, of an invalid type or missing. 10: Circular thumbnail requests are not allowed |
| 404 | 5: The requested universe does not exist. |
getGamesIcons
Section titled “getGamesIcons”GET /v1/games/icons
Fetches game icon URLs for a list of universes’ root places. Ids that do not correspond to a valid universe will be filtered out.
Usage
import { fetchApi } from 'rozod';import { getGamesIcons } from 'rozod/lib/endpoints/thumbnailsv1';
const data = await fetchApi(getGamesIcons, { universeIds: /* number */, size: /* enum */, format: /* enum */, isCircular: /* unknown */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
universeIds | number | Yes | The universe ids. |
size | enum | Yes | The thumbnail size, formatted widthxheight |
format | enum | Yes | The thumbnail format |
isCircular | unknown | Yes | The circle thumbnail output parameter, true or false |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
data | object[] | See below |
data[] item fields:
| Field | Type | Description |
|---|---|---|
targetId | number | |
state | `“Error" | "Completed" |
imageUrl | string | |
version | string |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 1: There are too many requested Ids. 2: The requested image format is invalid. Please see documentation for valid thumbnail format parameter name and values. 3: The requested size is invalid. Please see documentation for valid thumbnail size parameter name and format. 4: The requested Ids are invalid, of an invalid type or missing. 8: The requested return policy is invalid (must be PlaceHolder, AutoGenerated or ForceAutoGenerated). 10: Circular thumbnail requests are not allowed |
| 403 | 9: User not authorized to use AutoGenerated or ForceAutoGenerated return policies. |
getGamesMultigetThumbnails
Section titled “getGamesMultigetThumbnails”GET /v1/games/multiget/thumbnails
Fetch game thumbnail URLs for a list of universe IDs.
Usage
import { fetchApi } from 'rozod';import { getGamesMultigetThumbnails } from 'rozod/lib/endpoints/thumbnailsv1';
const data = await fetchApi(getGamesMultigetThumbnails, { universeIds: /* number */, countPerUniverse: /* integer? = 1 */, defaults: /* boolean? = true */, size: /* enum */, format: /* enum */, isCircular: /* unknown */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
universeIds | number | Yes | comma-delimited list of universe IDs |
countPerUniverse | integer? = 1 | No | max number of thumbnails to return per universe |
defaults | boolean? = true | No | true if defaults (if any) should be returned if no media exists |
size | enum | Yes | The thumbnail size, formatted widthxheight |
format | enum | Yes | The thumbnail format |
isCircular | unknown | Yes | The circle thumbnail output parameter, true or false |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
data | object[] | See below |
data[] item fields:
| Field | Type | Description |
|---|---|---|
universeId | number | |
error | object | See below |
thumbnails | object[] | See below |
error fields:
| Field | Type | Description |
|---|---|---|
code | number | |
message | string | |
userFacingMessage | string | |
field | string | |
fieldData | object | See below |
thumbnails[] item fields:
| Field | Type | Description |
|---|---|---|
targetId | number | |
state | `“Error" | "Completed" |
imageUrl | string | |
version | string |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 0: Unknown error 1: There are too many requested Ids. 4: The requested Ids are invalid, of an invalid type or missing. 5: The requested universe does not exist. 10: Circular thumbnail requests are not allowed |
getGroupsIcons
Section titled “getGroupsIcons”GET /v1/groups/icons
Fetches thumbnail URLs for a list of groups. Ids that do not correspond to groups will be filtered out.
Usage
import { fetchApi } from 'rozod';import { getGroupsIcons } from 'rozod/lib/endpoints/thumbnailsv1';
const data = await fetchApi(getGroupsIcons, { groupIds: /* number */, size: /* enum */, format: /* enum */, isCircular: /* unknown */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
groupIds | number | Yes | |
size | enum | Yes | The thumbnail size, formatted widthxheight |
format | enum | Yes | The thumbnail format |
isCircular | unknown | Yes | The circle thumbnail output parameter, true or false |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
data | object[] | See below |
data[] item fields:
| Field | Type | Description |
|---|---|---|
targetId | number | |
state | `“Error" | "Completed" |
imageUrl | string | |
version | string |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 1: There are too many requested Ids. 2: The requested image format is invalid. Please see documentation for valid thumbnail format parameter name and values. 3: The requested size is invalid. Please see documentation for valid thumbnail size parameter name and format. 4: The requested Ids are invalid, of an invalid type or missing. 10: Circular thumbnail requests are not allowed |
getPlacesGameicons
Section titled “getPlacesGameicons”GET /v1/places/gameicons
Fetches game icon URLs for a list of places. Ids that do not correspond to a valid place will be filtered out.
Usage
import { fetchApi } from 'rozod';import { getPlacesGameicons } from 'rozod/lib/endpoints/thumbnailsv1';
const data = await fetchApi(getPlacesGameicons, { placeIds: /* number */, size: /* enum */, format: /* enum */, isCircular: /* unknown */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
placeIds | number | Yes | The place ids. |
size | enum | Yes | The thumbnail size, formatted widthxheight |
format | enum | Yes | The thumbnail format |
isCircular | unknown | Yes | The circle thumbnail output parameter, true or false |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
data | object[] | See below |
data[] item fields:
| Field | Type | Description |
|---|---|---|
targetId | number | |
state | `“Error" | "Completed" |
imageUrl | string | |
version | string |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 1: There are too many requested Ids. 2: The requested image format is invalid. Please see documentation for valid thumbnail format parameter name and values. 3: The requested size is invalid. Please see documentation for valid thumbnail size parameter name and format. 4: The requested Ids are invalid, of an invalid type or missing. 8: The requested return policy is invalid (must be PlaceHolder, AutoGenerated or ForceAutoGenerated). 10: Circular thumbnail requests are not allowed |
| 403 | 9: User not authorized to use AutoGenerated or ForceAutoGenerated return policies. |
getUsersAvatar
Section titled “getUsersAvatar”GET /v1/users/avatar
Get Avatar Full body shots for the given CSV of userIds
Usage
import { fetchApi } from 'rozod';import { getUsersAvatar } from 'rozod/lib/endpoints/thumbnailsv1';
const data = await fetchApi(getUsersAvatar, { userIds: /* number */, format: /* enum */, isCircular: /* unknown */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
userIds | number | Yes | CSV for the userIds to get avatar full body shots |
format | enum | Yes | The thumbnail format |
isCircular | unknown | Yes | The circle thumbnail output parameter, true or false |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
data | object[] | See below |
data[] item fields:
| Field | Type | Description |
|---|---|---|
targetId | number | |
state | `“Error" | "Completed" |
imageUrl | string | |
version | string |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 1: There are too many requested Ids. 2: The requested image format is invalid. Please see documentation for valid thumbnail format parameter name and values. 3: The requested size is invalid. Please see documentation for valid thumbnail size parameter name and format. 4: The requested Ids are invalid, of an invalid type or missing. 10: Circular thumbnail requests are not allowed |
getUsersAvatar3d
Section titled “getUsersAvatar3d”GET /v1/users/avatar-3d
Get Avatar 3d object for a user
Usage
import { fetchApi } from 'rozod';import { getUsersAvatar3d } from 'rozod/lib/endpoints/thumbnailsv1';
const data = await fetchApi(getUsersAvatar3d, { userId: /* integer */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
userId | integer | Yes | user Id for avatar |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
targetId | number | |
state | `“Error" | "Completed" |
imageUrl | string | |
version | string |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 4: The requested Ids are invalid, of an invalid type or missing. |
getUsersAvatarBust
Section titled “getUsersAvatarBust”GET /v1/users/avatar-bust
Get Avatar Busts for the given CSV of userIds
Usage
import { fetchApi } from 'rozod';import { getUsersAvatarBust } from 'rozod/lib/endpoints/thumbnailsv1';
const data = await fetchApi(getUsersAvatarBust, { userIds: /* number */, format: /* enum */, isCircular: /* unknown */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
userIds | number | Yes | CSV for the userIds to get avatar headshots |
format | enum | Yes | The thumbnail format |
isCircular | unknown | Yes | The circle thumbnail output parameter, true or false |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
data | object[] | See below |
data[] item fields:
| Field | Type | Description |
|---|---|---|
targetId | number | |
state | `“Error" | "Completed" |
imageUrl | string | |
version | string |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 1: There are too many requested Ids. 2: The requested image format is invalid. Please see documentation for valid thumbnail format parameter name and values. 3: The requested size is invalid. Please see documentation for valid thumbnail size parameter name and format. 4: The requested Ids are invalid, of an invalid type or missing. 10: Circular thumbnail requests are not allowed |
getUsersAvatarHeadshot
Section titled “getUsersAvatarHeadshot”GET /v1/users/avatar-headshot
Get Avatar Headshots for the given CSV of userIds
Usage
import { fetchApi } from 'rozod';import { getUsersAvatarHeadshot } from 'rozod/lib/endpoints/thumbnailsv1';
const data = await fetchApi(getUsersAvatarHeadshot, { userIds: /* number */, format: /* enum */, isCircular: /* unknown */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
userIds | number | Yes | CSV for the userIds to get avatar headshots |
format | enum | Yes | The thumbnail format |
isCircular | unknown | Yes | The circle thumbnail output parameter, true or false |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
data | object[] | See below |
data[] item fields:
| Field | Type | Description |
|---|---|---|
targetId | number | |
state | `“Error" | "Completed" |
imageUrl | string | |
version | string |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 1: There are too many requested Ids. 2: The requested image format is invalid. Please see documentation for valid thumbnail format parameter name and values. 3: The requested size is invalid. Please see documentation for valid thumbnail size parameter name and format. 4: The requested Ids are invalid, of an invalid type or missing. 10: Circular thumbnail requests are not allowed |
getUsersOutfit3d
Section titled “getUsersOutfit3d”GET /v1/users/outfit-3d
Get 3d object for an outfit
Usage
import { fetchApi } from 'rozod';import { getUsersOutfit3d } from 'rozod/lib/endpoints/thumbnailsv1';
const data = await fetchApi(getUsersOutfit3d, { outfitId: /* integer */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
outfitId | integer | Yes | CSV for the userIds to get user outfits |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
targetId | number | |
state | `“Error" | "Completed" |
imageUrl | string | |
version | string |
getUsersOutfits
Section titled “getUsersOutfits”GET /v1/users/outfits
Get outfits for the given CSV of userOutfitIds
Usage
import { fetchApi } from 'rozod';import { getUsersOutfits } from 'rozod/lib/endpoints/thumbnailsv1';
const data = await fetchApi(getUsersOutfits, { userOutfitIds: /* number */, size: /* enum */, format: /* enum */, isCircular: /* unknown */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
userOutfitIds | number | Yes | CSV for the userOutfitIds to get user outfits |
size | enum | Yes | The thumbnail size, formatted widthxheight |
format | enum | Yes | The thumbnail format |
isCircular | unknown | Yes | The circle thumbnail output parameter, true or false |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
data | object[] | See below |
data[] item fields:
| Field | Type | Description |
|---|---|---|
targetId | number | |
state | `“Error" | "Completed" |
imageUrl | string | |
version | string |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 1: There are too many requested Ids. 2: The requested image format is invalid. Please see documentation for valid thumbnail format parameter name and values. 3: The requested size is invalid. Please see documentation for valid thumbnail size parameter name and format. 4: The requested Ids are invalid, of an invalid type or missing. 10: Circular thumbnail requests are not allowed |